#!/bin/bash


outdir=/home/tasker/out
dir=/home/tasker


cd $dir || exit 3

mkdir -p ${outdir}
rm -rf ${outdir}/*

# six random characters

sha=`dd if=/dev/urandom bs=1 status=none count=5 |base32|cut -b 1-4|sed 's/\(.\)/ \1/g'`
md5=`dd if=/dev/urandom bs=1 status=none count=5 |base32|cut -b 1-4|sed 's/\(.\)/ \1/g'`
rnd=`dd if=/dev/urandom bs=1 status=none count=35 |base32|sed 's/\(.\)/ \1/g'`

n=1
for i in $sha; do
	pad=`dd if=/dev/urandom bs=1 status=none count=15 |base32`
	cp s$n ${outdir}/$i$pad
	let n=($n+1)%2
done

for i in $md5; do
	pad=`dd if=/dev/urandom bs=1 status=none count=15 |base32`
	cp m$n ${outdir}/$i$pad
	let n=($n+1)%2
done

for i in $rnd; do
	pad=`dd if=/dev/urandom bs=1 status=none count=15 |base32`
	cp r$n ${outdir}/$i$pad
	let n=($n+1)%10
done

echo sha: $sha
echo md5: $md5
